shells/rc - The NetBSD Packages Collection

Unix incarnation of the plan9 shell

rc - a unix version of the Plan-9 Shell.

FEEPING CREATURISM

See the end of the man page, under "INCOMPATIBILITIES" for (known?)
differences from the "real" rc. Most of these changes were necessary
to get rc to work in a reasonable fashion on a real (i.e., commercial,
non-Labs) UNIX system; a few were changes motivated by concern
about some inadequacies in the original design.

CREDITS

This shell was written by Byron Rakitzis, but kudos go to Paul
Haahr for letting me know what a shell should do and for contributing
certain bits and pieces to rc (notably the limits code, print.c,
most of which.c and the backquote redirection code).

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfrc-1.7.4.tgz
NetBSD 8.0earmv7hfrc-1.7.4.tgz
NetBSD 8.0earmv7hfrc-1.7.4.tgz
NetBSD 8.0earmv7hfrc-1.7.4.tgz
NetBSD 8.0i386rc-1.7.4.tgz
NetBSD 8.0i386rc-1.7.4.tgz
NetBSD 8.0i386rc-1.7.4.tgz
NetBSD 8.0powerpcrc-1.7.4.tgz
NetBSD 8.0powerpcrc-1.7.4.tgz
NetBSD 8.0powerpcrc-1.7.4.tgz
NetBSD 8.0x86_64rc-1.7.4.tgz
NetBSD 8.0x86_64rc-1.7.4.tgz
NetBSD 8.0x86_64rc-1.7.4.tgz
NetBSD 9.0aarch64rc-1.7.4.tgz
NetBSD 9.0aarch64rc-1.7.4.tgz
NetBSD 9.0aarch64rc-1.7.4.tgz
NetBSD 9.0aarch64rc-1.7.4.tgz
NetBSD 9.0alpharc-1.7.4.tgz
NetBSD 9.0alpharc-1.7.4.tgz
NetBSD 9.0alpharc-1.7.4.tgz
NetBSD 9.0earmv6hfrc-1.7.4.tgz
NetBSD 9.0earmv6hfrc-1.7.4.tgz
NetBSD 9.0earmv6hfrc-1.7.4.tgz
NetBSD 9.0earmv6hfrc-1.7.4.tgz
NetBSD 9.0earmv6hfrc-1.7.4.tgz
NetBSD 9.0earmv7hfrc-1.7.4.tgz
NetBSD 9.0earmv7hfrc-1.7.4.tgz
NetBSD 9.0earmv7hfrc-1.7.4.tgz
NetBSD 9.0earmv7hfrc-1.7.4.tgz
NetBSD 9.0earmv7hfrc-1.7.4.tgz
NetBSD 9.0earmv7hfrc-1.7.4.tgz
NetBSD 9.0i386rc-1.7.4.tgz
NetBSD 9.0i386rc-1.7.4.tgz
NetBSD 9.0i386rc-1.7.4.tgz
NetBSD 9.0mips64ebrc-1.7.4.tgz
NetBSD 9.0mips64ebrc-1.7.4.tgz
NetBSD 9.0mips64ebrc-1.7.4.tgz
NetBSD 9.0powerpcrc-1.7.4.tgz
NetBSD 9.0powerpcrc-1.7.4.tgz
NetBSD 9.0powerpcrc-1.7.4.tgz
NetBSD 9.0sparc64rc-1.7.4.tgz
NetBSD 9.0sparc64rc-1.7.4.tgz
NetBSD 9.0sparc64rc-1.7.4.tgz
NetBSD 9.0sparc64rc-1.7.4.tgz
NetBSD 9.0sparcrc-1.7.4.tgz
NetBSD 9.0x86_64rc-1.7.4.tgz
NetBSD 9.0x86_64rc-1.7.4.tgz
NetBSD 9.0x86_64rc-1.7.4.tgz
NetBSD 9.0x86_64rc-1.7.4.tgz
NetBSD 9.0x86_64rc-1.7.4.tgz
NetBSD 9.0x86_64rc-1.7.4.tgz
NetBSD 9.0x86_64rc-1.7.4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

readline
Enable use of GNU readline library.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.